Draft: Simetrizarea

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Mirror and the translation is 11% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Draft Mirror

poziția meniului
Draft → Mirror
Workbenches
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Scale


Descriere

Acest instrument produce o copie în oglindă a unui obiect selectat, utilizând un obiect Mirror Object. Copia este legată parametric de obiectul original: dacă se modifică obiectul original, copia oglindă se modifică și ea, dar rămâne oglindită.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Draft Mirror example.jpg

Draft Mirror example.jpg

Cum se utilizează

  1. Selectați obiectele pe care doriți să le reflectați
  2. Apăsați butonul Draft Mirror.png Draft Mirror
  3. Faceți clic pe primul punct al liniei de oglindă din vizualizarea 3D sau tastați un coordinate
  4. Faceți clic pe celălalt punct al liniei de simetrie/oglindire din vizualizarea 3D sau tastați un coordinate

After creating the mirrored copy, its binding with the original object can be removed using the Tree Part.svg Part Create simple copy tool.

A mirrored copy of a Draft object can be turned into a Draft Wire, by using Draft Downgrade.svg Draft Downgrade then Draft Upgrade.svg Draft Upgrade.

Opțiuni

Proprietăți

  • DATABase: Baza punctului planului de simetrie
  • DATANormal: Direcția normală la planul de simetrie

Script-Programre

Unealta Clone poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

The Mirror tool can be used in macros and from the Python console by using the following function:

mirrored_list = mirror(objlist, p1, p2)
  • Realizează oglinda (obiectelor) obiectului dat peste un plan definit de o linie de la p1 la p2 și paralel cu vizualizarea curentă
  • Rezultatul este un obiect Mirror Object
  • Dacă obiectul original se modifică, obiectul final se schimbă și el, dar rămâne oglindit

Exempluː

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Previous: Draft Drawing.svg Drawing
Next: Stretch Draft Stretch.svg Arrow-right.svg